%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	A library to provide abstract access to various archives
Name:		physfs
Version:	2.0.3
Release:	4
License:	zlib
Group:		System/Libraries
Url:		http://www.icculus.org/physfs/
Source0:	http://www.icculus.org/physfs/downloads/%{name}-%{version}.tar.bz2
Patch0:		physfs-2.0.2-fix-build.patch
BuildRequires:	cmake
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(zlib)

%description
A library to provide abstract access to various archives. 
It is intended for use in video games.

The programmer defines a "write directory" on the physical filesystem. 
No file writing done through the PhysicsFS API can leave that write directory.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for physfs
Group:		System/Libraries
Provides:	%{name} = %{EVRD}
Conflicts:	%{_lib}physfs2 < 2.0.3-4
Obsoletes:	%{_lib}physfs2 < 2.0.3-4

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with physfs

%files -n %{libname}
%{_libdir}/libphysfs.so.%{major}
%{_libdir}/libphysfs.so.%{version}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for developing programs that will use physfs
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	pkgconfig(zlib)
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use physfs

%files -n %{devname}
%doc %{_docdir}%{name}/*.txt
%{_bindir}/*
%{_includedir}/*.h
%{_libdir}/*.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

# Ensure we use system zlib  
# don't use bundled lzma
rm -rf zlib123
rm -rf lzma

%build
%cmake -DPHYSFS_ARCHIVE_7Z=OFF
%make

%install
# fix 64 bits lib path 
%ifarch x86_64
cd build
sed -i -e 's,lib",lib64",g' cmake_install.cmake
cd ..
%endif

%makeinstall_std -C build


install -d %{buildroot}%{_docdir}%{name}
install *.txt %{buildroot}%{_docdir}%{name}/

rm -rf %{buildroot}%{_libdir}/*.a


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.0.3-4
- (d376550) Fix library package major
- (d376550) Spec cleanup


